%global pkgname django-tracking

Summary:	Django site visitor tracking, including basic blacklisting
Name:		python-django-tracking
Version:	0.3.7
Release:	11%{?dist}
License:	MIT
Group:		Development/Libraries
URL:		https://bitbucket.org/codekoala/django-tracking/
# there's just a tag on bitbucket, no official release
# wget -O django-tracking-0.3.7.hge9a498ccef73.tar.bz2 \
#    https://bitbucket.org/codekoala/django-tracking/get/e9a498ccef73.tar.bz2
Source:		django-tracking-0.3.7.hge9a498ccef73.tar.bz2
BuildArch:	noarch

BuildRequires:	python2-devel 
BuildRequires:	python-setuptools
Requires:		python-django

Provides:		%{pkgname} = %{version}-%{release}
Obsoletes:		%{pkgname} < 0.3.7-7

%description
django-tracking is a simple attempt at keeping track of visitors to 
Django-powered Web sites.  It also offers basic blacklisting capabilities.

%prep
%setup -q -n codekoala-django-tracking-e9a498ccef73

# remove demo application
rm -rf demo

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"


# Handling locale files
# This is adapted from the %%find_lang macro, which cannot be directly
# used since Django locale files are not located in %%{_datadir}
#
# The rest of the packaging guideline still apply -- do not list
# locale files by hand!
(cd $RPM_BUILD_ROOT && find . -name 'django*.mo') | %{__sed} -e 's|^.||' |
%{__sed} -e \
   's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
   >> %{pkgname}.lang

%files -f %{pkgname}.lang
%doc AUTHORS CHANGES LICENSE README.rst README
%{python_sitelib}/tracking
%{python_sitelib}/django_tracking-0.4.0-py2.?.egg-info

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 21 2013 Matthias Runge <mrunge@redhat.com> - 0.3.7-8
- drop unnecessary dependency python-imaging (rhbz#896293)
- require python-django instead of Django

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 14 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.3.7-7
- handle language file properly

* Fri Mar 09 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.3.7-6
- spec cleanup and source file rename

* Mon Mar 05 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.3.7-5
- rename package to python-django-tracking

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jul 23 2011 Clint Savage <herlo@fedoraproject.org> - 0.3.7-2
- Added requires for Django and python-imaging
* Sat Jul 23 2011 Clint Savage <herlo@fedoraproject.org> - 0.3.7-1
- Updated to new release that fixes fedora simplejson imports
* Wed Oct 20 2010 Dave Riches <david.r@ultracar.co.uk> - 0.2.7-1
- Packaged for Fedora

